PUT
Update time off end date (absence / holiday)
Scope:
team:time-off.writehttps://api.holded.com/api/v2/employees/{employeeId}/time-offs/{timeOffId}Updates the end date of a time off request (absence, holiday, vacation, sick leave, etc.). Only `end_date` is accepted; all other fields in the body are ignored.
Parameters
Path parameters
employeeId
stringrequiredEmployee ID (24-character hexadecimal ObjectId)
timeOffId
stringrequiredTime off request ID (24-character hexadecimal ObjectId)
Request body
object
end_datestring<date>required
New end date (YYYY-MM-DD)
Request
python
import requests
url = "https://api.holded.com/api/v2/employees/507f1f77bcf86cd799439012/time-offs/507f1f77bcf86cd799439011"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
}
payload = {
"end_date": "2026-06-07"
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())Responses
Success responses
204Absence / time off end date updatedError responses
400Bad requestapplication/json401Invalid or missing API keyapplication/json403Insufficient permissionsapplication/json404Time off not foundapplication/json422Invalid time off dataapplication/json429Rate limit exceededapplication/json